CREATE TABLE ego_change_audit_entities (
    AUDIT_ENTITY_ID          NUMBER(18, 0) ,
    CHANGE_ID                NUMBER(18, 0)     NOT NULL,
    CHANGE_LINE_ID           NUMBER(18, 0) ,
    AFFECTED_OBJ_NAME        VARCHAR2(1200),
    AFFECTED_OBJ_SEQ         NUMBER        ,
    AFFECTED_OBJ_PK1         NUMBER(18, 0) ,
    AFFECTED_OBJ_PK2         NUMBER(18, 0) ,
    AFFECTED_OBJ_PK3         NUMBER(18, 0) ,
    AFFECTED_OBJ_PK4         NUMBER(18, 0) ,
    AFFECTED_OBJ_PK5         NUMBER(18, 0) ,
    CO_STATUS_CODE           NUMBER(18, 0) ,
    CO_STATUS_VALUE          VARCHAR2(320) ,
    PK1_VALUE                NUMBER(18, 0) ,
    PK2_VALUE                NUMBER(18, 0) ,
    PK3_VALUE                NUMBER(18, 0) ,
    PK4_VALUE                NUMBER(18, 0) ,
    PK5_VALUE                NUMBER(18, 0) ,
    AUDIT_TYPE               VARCHAR2(200) ,
    ACTION_TYPE              VARCHAR2(200) ,
    ACTION_TYPE_VALUE        VARCHAR2(4000),
    SUB_ACTION_TYPE          VARCHAR2(200) ,
    SUB_ACTION_TYPE_VALUE    VARCHAR2(4000),
    ENTITY_TYPE              VARCHAR2(200) ,
    ENTITY_CODE              VARCHAR2(320) ,
    ENTITY_NAME              VARCHAR2(4000),
    SUB_ENTITY_CODE          VARCHAR2(4000),
    SUB_ENTITY_NAME          VARCHAR2(4000),
    COMMENTS                 VARCHAR2(4000),
    AUTHOR_ID                VARCHAR2(256) ,
    AUTHOR_NAME              VARCHAR2(4000)    NOT NULL,
    AUTHOR_DATETIME          TIMESTAMP(6)      NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    MIGRATED_FLAG            VARCHAR2(4)   ,
    AUTHOR_PERSON_ID         NUMBER(18, 0) ,
    TRACKING_ID              NUMBER(18, 0) ,
    AUDITED_LANGUAGE         VARCHAR2(40)  ,
    AUDIT_ENTITY_ID          NUMBER(18, 0) ,
    CHANGE_ID                NUMBER(18, 0)     NOT NULL,
    CHANGE_LINE_ID           NUMBER(18, 0) ,
    AFFECTED_OBJ_NAME        VARCHAR2(1200),
    AFFECTED_OBJ_SEQ         NUMBER        ,
    AFFECTED_OBJ_PK1         NUMBER(18, 0) ,
    AFFECTED_OBJ_PK2         NUMBER(18, 0) ,
    AFFECTED_OBJ_PK3         NUMBER(18, 0) ,
    AFFECTED_OBJ_PK4         NUMBER(18, 0) ,
    AFFECTED_OBJ_PK5         NUMBER(18, 0) ,
    CO_STATUS_CODE           NUMBER(18, 0) ,
    CO_STATUS_VALUE          VARCHAR2(320) ,
    PK1_VALUE                NUMBER(18, 0) ,
    PK2_VALUE                NUMBER(18, 0) ,
    PK3_VALUE                NUMBER(18, 0) ,
    PK4_VALUE                NUMBER(18, 0) ,
    PK5_VALUE                NUMBER(18, 0) ,
    AUDIT_TYPE               VARCHAR2(200) ,
    ACTION_TYPE              VARCHAR2(200) ,
    ACTION_TYPE_VALUE        VARCHAR2(4000),
    SUB_ACTION_TYPE          VARCHAR2(200) ,
    SUB_ACTION_TYPE_VALUE    VARCHAR2(4000),
    ENTITY_TYPE              VARCHAR2(200) ,
    ENTITY_CODE              VARCHAR2(320) ,
    ENTITY_NAME              VARCHAR2(4000),
    SUB_ENTITY_CODE          VARCHAR2(4000),
    SUB_ENTITY_NAME          VARCHAR2(4000),
    COMMENTS                 VARCHAR2(4000),
    AUTHOR_ID                VARCHAR2(256) ,
    AUTHOR_NAME              VARCHAR2(4000)    NOT NULL,
    AUTHOR_DATETIME          TIMESTAMP(6)      NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    MIGRATED_FLAG            VARCHAR2(4)   ,
    AUTHOR_PERSON_ID         NUMBER(18, 0) ,
    TRACKING_ID              NUMBER(18, 0) ,
    AUDITED_LANGUAGE         VARCHAR2(40)  ,
    CONSTRAINT pk_ego_change_audit_entities PRIMARY KEY (AUDIT_ENTITY_ID, AUDIT_ENTITY_ID)
);
